HFST-EDIT-METADATA(1)

NAME
hfst-edit-metadata - =Name a transducer

SYNOPSIS
hfst-edit-metadata [OPTIONS...] [INFILE]

DESCRIPTION
Name a transducer

  Name options:

-a, --add=ANAME=VALUE
    add or replace property ANAMEwith VALUE

-p, --print[=NAME]
    print the current PNAME

-t, --truncate_length=LEN
    truncate added properties' lengths to LEN

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

If OUTFILE or INFILE is missing or -, standard streams will be used. Format of result depends on format of INFILE If PNAME is omitted, all values are printed

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-edit-metadata home page: <https://github.com/hfst/hfst/wiki/HfstEditMetadata>
General help using HFST software: <https://github.com/hfst/hfst/wiki>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.